import request from '@/utils/request'

// 查询对比模型公式列表
export function listCONTRAST(query) {
  return request({
    url: '/contrast/list',
    method: 'get',
    params: query
  })
}

// 查询对比模型公式所有列表
export function listAllCONTRAST(query) {
  return request({
    url: '/contrast/listAll',
    method: 'get',
    params: query
  })
}

// 查询对比模型公式详细
export function getCONTRAST(id) {
  return request({
    url: '/contrast/getInfo/' + id,
    method: 'get'
  })
}

// 新增对比模型公式
export function addCONTRAST(data) {
  return request({
    url: '/contrast/add',
    method: 'post',
    data: data
  })
}

// 修改对比模型公式
export function updateCONTRAST(data) {
  return request({
    url: '/contrast/edit',
    method: 'post',
    data: data
  })
}

// 删除对比模型公式
export function delCONTRAST(id) {
  return request({
    url: '/contrast/remove/' + id,
    method: 'get'
  })
}
